<img src="https://www.dataelem.com/nstatic/bisheng.png" alt="Bisheng banner">

<p align="center">
    <a href="https://dataelem.feishu.cn/wiki/ZxW6wZyAJicX4WkG0NqcWsbynde"><img src="https://img.shields.io/badge/docs-Wiki-brightgreen"></a>
    <img src="https://img.shields.io/github/license/dataelement/bisheng" alt="license"/>
    <img src="https://img.shields.io/docker/pulls/dataelement/bisheng-frontend" alt="docker-pull-count" />
    <a href=""><img src="https://img.shields.io/github/last-commit/dataelement/bisheng"></a>
    <a href="https://star-history.com/#dataelement/bisheng&Timeline"><img src="https://img.shields.io/github/stars/dataelement/bisheng?color=yellow"></a> 
</p>


<div class="column" align="middle">
  <!-- <a href="https://bisheng.slack.com/join/shared_invite/"> -->
    <!-- <img src="https://img.shields.io/badge/Join-Slack-orange" alt="join-slack"/> -->
  </a>
  <!-- <img src="https://img.shields.io/github/license/bisheng-io/bisheng" alt="license"/> -->
  <!-- <img src="https://img.shields.io/docker/pulls/bisheng-io/bisheng" alt="docker-pull-count" /> -->
</div>

# 欢迎来到 Bisheng

## Bisheng 是什么

Bisheng是一款领先的开源<b>大模型应用开发平台</b>，赋能和加速大模型应用开发落地，帮助用户以最佳体验进入下一代应用开发模式。

“毕昇”是活字印刷术的发明人，活字印刷术为人类知识的传递起到了巨大的推动作用。我们希望“毕昇”同样能够为智能应用的广泛落地提供有力的支撑。欢迎大家一道参与。

Bisheng 基于 [Apache 2.0 License](https://github.com/dataelement/bisheng/blob/main/LICENSE) 协议发布，于 2023 年 8 月底正式开源。


## 产品亮点

- 便捷：即使是业务人员，基于我们预置的应用模板，通过简单直观的表单填写方式快速搭建以大模型为核心的智能应用。
- 灵活：对大模型技术有了解的人员，我们紧跟最前沿大模型技术生态提供数百种开发组件，基于可视化且自由的流程编排能力，可开发出任意类型的大模型应用，而不仅是简单的提示词工程。
- 可靠与企业级：当前许多同类的开源项目仅适用于实验测试场景，缺少真正生产使用的企业级特性，包括：高并发下的高可用、应用运营及效果持续迭代优化、贴合真实业务场景的实用功能等，这些都是毕昇平台的差异化能力；另外，更直观的是，企业内的数据质量参差不齐，想要真正把所有数据利用起来，首先需要有完备的非结构化数据治理能力，而这是过去几年我们团队所积累的核心能力，在毕昇的demo环境中您可以通过相关组件直接接入这些能力，并且这些能力免费不限量使用。


## 产品应用

使用毕昇平台，我们可以搭建各类丰富的大模型应用：

分析报告生成

- 📃   合同审核报告生成
- 🏦   信贷调查报告生成
- 📈   招股书分析报告生成
- 💼   智能投顾报告生成
- 👀   文档摘要生成


知识库问答
- 👩‍💻  用户手册问答
- 👩🏻‍🔬  研报知识库问答
- 🗄  规章制度问答
- 💊  《中华药典》知识问答
- 📊  股价数据库问答


对话
- 🎭  扮演面试官对话
- 📍  小红书文案助手
- 👩‍🎤  扮演外教对话
- 👨‍🏫  简历优化助手


要素提取

- 📄  合同关键要素提取
- 🏗️  工程报告要素提取
- 🗂️  通用元数据提取
- 🎫  卡证票据要素提取


各类应用构建方法详见：[应用案例](https://m7a7tqsztt.feishu.cn/wiki/ZfkmwLPfeiAhQSkK2WvcX87unxc)

我们认为在企业真实场景中，“对话”仅是众多交互形式中的一种，未来我们还将新增流程自动化、搜索等更多应用形态的支持。


## 快速开始

### 启动 Bisheng

- [安装 Bisheng](https://m7a7tqsztt.feishu.cn/wiki/BSCcwKd4Yiot3IkOEC8cxGW7nPc)


### 源码编译 Bisheng

Todo: 待补充

获取更多内容，请阅读 [开发者文档](https://m7a7tqsztt.feishu.cn/wiki/ITmJwMXVliBnzpkW3nkcqPVrnse)。


## 贡献代码

欢迎向 Bisheng 社区贡献你的代码。代码贡献流程或提交补丁等相关信息详见 
[代码贡献准则](https://github.com/dataelement/bisheng/blob/main/CONTRIBUTING.md)。
参考 [社区仓库](https://github.com/dataelement/community) 了解社区管理准则并获取更多社区资源。

<!-- ### All contributors -->

<!-- Do not remove end of hero-bot -->
<br>

### All Thanks To Our Contributors:
<a href="https://github.com/dataelement/bisheng/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=dataelement/bisheng" />
</a>

## Bisheng 文档

获取更多有关安装、开发、部署和管理的指南，请查看 [Bisheng 文档](https://m7a7tqsztt.feishu.cn/wiki/ZxW6wZyAJicX4WkG0NqcWsbynde).


## 社区

- 欢迎加入 [Slack](https://www.dataelem.com/) 频道分享你的建议与问题。
- 你也可以通过 [FAQ](https://m7a7tqsztt.feishu.cn/wiki/XdGCwkDJviC0Z8klbdbcF790n9b) 页面，查看常见问题及解答。
- 你也可以加入 [讨论组](https://github.com/dataelement/bisheng/discussions) 发起问题和讨论。


<!-- 订阅 Bisheng 邮件：

- [Technical Steering Committee](https://www.dataelem.com/)
- [Technical Discussions](https://www.dataelem.com/)
- [Announcement](https://www.dataelem.com/) -->

关注 Bisheng 社交媒体：

<!-- - [知乎](https://www.zhihu.com/org/bisheng-io)
- [CSDN](http://bishengio.blog.csdn.net/)
- [Bilibili](http://space.bilibili.com/xxxxx) -->
- Bisheng 技术交流微信群

<img src="https://www.dataelem.com/nstatic/qrcode.png" alt="Wechat QR Code">

## 加入我们

DataElem Inc. 是 Bisheng 项目的幕后公司。我们正在 [招聘](https://www.dataelem.com/contact/team) 算法、开发和全栈工程师。欢迎加入我们，让我们携手构建下一代的智能应用开发平台。


## 特别感谢

Bisheng 采用了以下依赖库:

- 感谢开源模型预估框架 [Triton](https://github.com/triton-inference-server) 。
- 感谢开源LLM应用开发库 [langchain](https://github.com/langchain-ai/langchain)。
- 感谢开源非结构化数据解析引擎 [unstructured](https://github.com/Unstructured-IO/unstructured)。
- 感谢开源langchain可视化工具 [langflow](https://github.com/logspace-ai/langflow)。


## Star History

[![Star History Chart](https://api.star-history.com/svg?repos=dataelement/bisheng&type=Date)](https://star-history.com/#dataelement/bisheng&Date)
